> For the complete documentation index, see [llms.txt](https://docs.jabref.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jabref.org/v5/collaborative-work/sharedbibfile.md).

# Sharing a Bib(la)TeX Library

When sharing a Bib(la)TeX library, JabRef automatically recognizes a change in the `bib` file on disk and notifies the user of it. This works well on network drives.

*Note:* the use of a version control system (SVN, git, etc.) is recommended as this will allow for reverting changes.

To make the sharing of a Bib(la)TeX library easier, it is recommended to set specific library properties. In the menu **Library → Library properties**:

* Select `UTF-8` as encoding.
* Define a `General file directory`, which will be used to store shared PDF (and other) files.
* Check `Refuse to save the library before external changes have been reviewed`.
* Define a sort order (`year`, `author`, `title` is recommended)..
* Check `Enable save formatters`, and defines these actions, to help enforcing a consistent format for the entries.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jabref.org/v5/collaborative-work/sharedbibfile.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
